/* everforest colours https://everforest.vercel.app/palette */
:root {
  --fg: #D3C6AA;
  --bg: #1E2326;
  --bg-green: #3C4841;
  --red: #E67E80;
  --yellow: #DBBC7F;
  --green: #A7C080;
  --blue: #7FBBB3;
  --purple: #D699B6;
  --aqua: #83C092;
  --orange: #E69875;
}

* {
  font-family: "Iosevka Web", sans-serif;
  color: var(--fg);
  font-style: normal;
  font-weight: 200;
  font-size: 1em;
  margin: 0;
  padding: 0;
}

body {
  background-color: var(--bg);
}

.iconLink {
  text-decoration: none;
}

.iconImage {
  height: 24px;
  width: 24px;
  /* filter calculated for color green using https://codepen.io/sosuke/pen/Pjoqqp */
  filter: invert(82%) sepia(11%) saturate(1056%) hue-rotate(42deg) brightness(89%) contrast(84%);
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

.splashTitle {
  font-size: 5em;
  font-weight: 200;
}

.splashSubtitle {
  font-size: 1.5em;
}

.sectionTitle {
  font-size: 2.0em;
  text-align: center;
  font-weight: 200;
}

.skillTitle {
  text-align: center;
  font-size: 1.2em;
}

.skillBlock {
  text-align: center;
  list-style-type: none;
}

.skillBlock li {
  display: inline-block;
  background: color-mix(in srgb, var(--green) 50%, transparent);
  backdrop-filter: blur(10px);
  padding: 0.25em;
  margin: 0.1em;
  border-radius: 0.25em;
}

.projectsSection {
  display: flex;
  flex-wrap: wrap;
}

.projectContent {
  width: 100%;
  margin-right: 1.0em;
}

.projectBlock {
  overflow: visible;
  background-color: var(--green);
  display: flex;
  justify-content: center;
  padding: 1.8em;
  margin-left: calc(5vw - 1.8em);
  margin-top: 2em;
  margin-bottom: 2em;
  width: 40vw;
}

.projectTitle {
  font-size: 2em;
  text-align: center;
}

.splitBlock {
  overflow: visible;
  display: flex;
  justify-content: space-around;
  width: 90vw;
  padding: 1.8em;
  margin-left: calc(5vw - 1.8em);
  margin-top: 2em;
  margin-bottom: 2em;

}

.splitBlock>* {
  margin-left: 1.8em;
  margin-right: 1.8em;
  padding: 1em;
}

.shadowCascade {
  background-color: var(--bg-green);
  box-shadow: -6px -8px 1px 4px color-mix(in srgb, var(--bg-green) 30%, transparent),
    -12px -16px 1px 4px color-mix(in srgb, var(--bg-green) 30%, transparent),
    -18px -24px 1px 4px color-mix(in srgb, var(--bg-green) 30%, transparent),
    -24px -32px 1px 4px color-mix(in srgb, var(--bg-green) 30%, transparent);
}

canvas {
  position: fixed;
  z-index: -1;
  width: 100%;
  height: 100%;
}